import '@/app/styles/index.scss'
import { createPinia } from 'pinia'
import VueLazyLoad from 'vue3-lazyload'
import { create } from '@/app/createApp'
import { router } from '@/app/providers/router'
import { clickOutside } from './directives'

export const app = create()
app.use(createPinia())
app.use(router)
app.directive('click-outside', clickOutside)
app.use(VueLazyLoad, {
    delay: 300,
})

app.mount('#app')
