import type { MedicalTest, BaseAnalysisOptimumValues } from './types'

export function setTestOptimums(
    list: MedicalTest[],
    patientInfo: {
        age: number
        sex: string
    },
): BaseAnalysisOptimumValues[] {
    return list?.map(x => {
        const markesLength = x.markers?.length || 0
        let optimums
        let i
        markers: for (i = 0; i < markesLength; i++) {
            optimums = x.markers[i].optimums?.find(y => {
                const ages = y.age.split('-').map(Number)
                if (ages.length == 2) {
                    return (
                        ages[0] <= patientInfo.age &&
                        patientInfo.age <= ages[1] &&
                        y.sex == patientInfo.sex
                    )
                } else if (ages.length == 1) {
                    return (
                        ages[0] <= patientInfo.age && y.sex == patientInfo.sex
                    )
                } else {
                    return false
                }
            })

            if (optimums && optimums.age) {
                break markers
            }
        }

        return {
            type: 'base',
            test_id: Number(x.id),
            sex: patientInfo.sex,
            value: String(optimums?.age),
        }
    })
}
