import { dateToAge } from '@/shared'
import type { Patient, PatientTableRow } from '../../lib'

export const patientsToMyPatients = (list: Patient[]): PatientTableRow[] => {
    return list.map(item => ({
        id: item.id,
        patient: {
            name: item.name || '',
            avatar: item.avatar || '',
        },
        gender: 1,
        age: dateToAge(item.birthdate),
        request: item.asking || '',
        reminder: 'моковые данные, с бека не приходит!!!',
        contact: {
            href: `tel:${item.contact || ''}`,
            text: item.contact || '',
        },
    }))
}
