import { dateToAge } from '@/shared'
import type { Patient, PatientTableRow } from '../../lib'

export const patientsToRequestsPatients = (
    list: Patient[],
): PatientTableRow[] => {
    return list.map(item => ({
        id: item.id,
        patient: {
            name: item.name || '',
            avatar: item.avatar || '',
        },
        gender: 1,
        age: dateToAge(item.birthdate),
        applicationDate: '2023-10-23T05:57:37.000000Z',
        request: item.asking || '',
        actions: true,
    }))
}
