import { defineStore } from 'pinia'
import { ref } from 'vue'
import { Stores } from '@/shared'
import { fetchUser } from '../../api'
import type { User } from '../../lib'

export const useUserStore = defineStore(Stores.USER, () => {
    const currentUser = ref<Maybe<User>>(null)

    const setCurrentUser = async () => {
        const { data } = await fetchUser()
        currentUser.value = data.data
    }

    return {
        currentUser,
        setCurrentUser,
    }
})
