import type { AxiosPromise } from 'axios'
import { baseApi } from '@/shared'
import type { CalculationData, CalculatorUnits } from '../lib'

/**------------------ Medical Calculator -------------------------- */
export const fetchCalcUnits =
    (): MedicalFeaturesAPI.GET.FetchCalculatorUnits.Response =>
        baseApi.get('unit')

export const calculation = (
    params: MedicalFeaturesAPI.GET.Calculation.Params,
): MedicalFeaturesAPI.GET.Calculation.Response =>
    baseApi.get('calculate', {
        params,
    })

export namespace MedicalFeaturesAPI {
    export namespace GET {
        export namespace Calculation {
            export type Params = CalculationData

            export type Response = AxiosPromise<{
                data: CalculatorUnits
            }>
        }

        export namespace FetchCalculatorUnits {
            export type Response = AxiosPromise<{
                data: any
            }>
        }
    }
}
