import 'vue3-bem'

export {}

declare global {
    type Maybe<T> = null | undefined | T
    type Timeout = ReturnType<typeof setTimeout>
    type Gender = 1 | 0

    type BaseState<T> = {
        loading: boolean
        data: T
    }

    type BaseStatePagination<T> = {
        loading: boolean
        data: T
        pagination: Pagination
    }

    type Pagination = {
        current_page: number
        per_page: number
        last_page: number
    }

    type PaginationData<T> = Pagination & { data: T }
}
