import { baseApi } from '@/shared'

export const useJWT = () => {
    const setJWT = (token: string) => {
        localStorage.setItem('user-token', token)
        baseApi.defaults.headers.Authorization = `Bearer ${token}`
    }

    const removeJWT = () => {
        localStorage.removeItem('user-token')
        baseApi.defaults.headers.Authorization = ''
    }

    return {
        setJWT,
        removeJWT,
    }
}
