export const formattingDateForClient = (
    date: string,
    format: 'long' | 'short' = 'long',
) => {
    const dateSrc = new Date(date).toLocaleString('ru', {
        // year: 'numeric',
        month: format,
        day: 'numeric',
    })

    return dateSrc.split('.').join('.')
}

export const dateToAge = (date: string) => {
    const birthYear = +new Date(date).toLocaleString('ru', {
        year: 'numeric',
    })

    const currentYear = +new Date().toLocaleString('ru', {
        year: 'numeric',
    })

    return currentYear - birthYear
}

export const getSeconds = (date: string) => {
    return Math.floor(new Date(date).getTime() / 1000)
}

export const prettifyDate = (date: string | undefined) => {
    if (!date) return

    date = new Intl.DateTimeFormat('en-GB').format(new Date(date))

    return date.split('/').join('.')
}

export const getTimeFromDate = (val: string) => {
    if (!val) return
    const date = new Intl.DateTimeFormat('ru', {
        hour: 'numeric',
        minute: 'numeric',
    }).format(new Date(val))

    return date
}
